#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-18WDoL4O4ZKIfdACfqoOus-dns-internal
key:                  dns-4.0.1-18WDoL4O4ZKIfdACfqoOus-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  d1c4cb227cbe5dceb6d0362c9da1c064
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-18WDoL4O4ZKIfdACfqoOus-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-IhTi4VeJesa5W1nGjaCoJA
    attoparsec-0.14.1-5l1cFZrGW545rXZu8IvVx4
    auto-update-0.1.6-6RV7dPHOXf9JY1DvLbt94b base-4.15.0.0
    base16-bytestring-1.0.1.0-CpQkrE82N74DORIVRzYnM3
    base64-bytestring-1.2.0.1-CsiHq2FrRoKF2bDlGNv0Jf
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-91yKuNV6meNFTHY5TTCsKL
    hourglass-0.2.12-vFWsa8nf5Q4fQygU3Vzs9
    iproute-1.7.11-2yQVlky5uftGV9S8QUyhgP mtl-2.2.2
    network-3.1.2.2-8nPl8fPPwZC2zJ81nIgVc
    psqueues-0.2.7.2-7tkW55YsK5pBwJJi7VQYOH

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-HXlbNQhTsL6D3BbbRdOJm1
key:                  dns-4.0.1-HXlbNQhTsL6D3BbbRdOJm1
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  23f026953ee0c0323a3a404353853438
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-HXlbNQhTsL6D3BbbRdOJm1
depends:
    array-0.5.4.0 async-2.2.3-IhTi4VeJesa5W1nGjaCoJA
    attoparsec-0.14.1-5l1cFZrGW545rXZu8IvVx4
    auto-update-0.1.6-6RV7dPHOXf9JY1DvLbt94b base-4.15.0.0
    base16-bytestring-1.0.1.0-CpQkrE82N74DORIVRzYnM3
    base64-bytestring-1.2.0.1-CsiHq2FrRoKF2bDlGNv0Jf
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-91yKuNV6meNFTHY5TTCsKL
    dns-4.0.1-18WDoL4O4ZKIfdACfqoOus-dns-internal
    hourglass-0.2.12-vFWsa8nf5Q4fQygU3Vzs9
    iproute-1.7.11-2yQVlky5uftGV9S8QUyhgP mtl-2.2.2
    network-3.1.2.2-8nPl8fPPwZC2zJ81nIgVc
    psqueues-0.2.7.2-7tkW55YsK5pBwJJi7VQYOH

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

